ServerEvents.recipes(e => {

    const recipes = [

        {

            replaceTarget: { id: 'constructionwand:stone_wand' },

            toReplace: '#minecraft:stone_tool_materials',

            replaceWith: '#quark:stone_tool_materials'

        }

    ];

    e.replaceInput({},'prefab:block_compressed_stone', 'compressium:stone_1');

    e.replaceInput({},'prefab:block_double_compressed_stone', 'compressium:stone_2');

    e.replaceInput({},'prefab:block_triple_compressed_stone', 'compressium:stone_3');

    e.replaceInput({},'prefab:block_compressed_dirt', 'compressium:dirt_1');

    e.replaceInput({},'prefab:block_double_compressed_dirt', 'compressium:dirt_2');

    e.replaceInput({},'prefab:block_compressed_obsidian', 'compressium:obsidian_1');

    e.replaceInput({},'prefab:block_double_compressed_obsidian', 'compressium:obsidian_2');

    e.replaceInput({},'prefab:block_compressed_quartz_crete', 'compressium:quartz_1');

    e.replaceInput({},'prefab:block_double_compressed_quartz_crete', 'compressium:quartz_2');

    e.replaceInput({},'upgrade_aquatic:beachgrass', '#forge:beach_grass');

    e.replaceInput({},'minecraft:nether_bricks', '#forge:bricks/nether');

    e.replaceInput({},'minecraft:stone', '#forge:stone');

    e.replaceInput({},'minecraft:netherrack', '#forge:netherrack');

    e.replaceInput({},'minecraft:glowstone', '#forge:storage_blocks/glowstone');



    recipes.forEach((recipe) => {

        e.replaceInput(recipe.replaceTarget, recipe.toReplace, recipe.replaceWith);
    });
});